> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the webhook integration configuration for a source

> Returns the setup wizard configuration. The external API key itself is
never returned, only whether one is saved.



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /agency/source/{sourceId}/webhook-integration
openapi: 3.0.4
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
tags:
  - name: Account
  - name: AccountNotification
  - name: Agency
  - name: Analytics
  - name: Billing
  - name: Bot
  - name: BotMetric
  - name: BotSourceVariable
  - name: BotTemplate
  - name: BotTesting
  - name: Dashboard
  - name: Hierarchy
  - name: Lead
  - name: Leaderboard
  - name: Library
  - name: LiveDemo
  - name: Notification
  - name: Persona
  - name: Report
  - name: SmartFAQ
  - name: Source
  - name: SourceChannel
  - name: Webhook
paths:
  /agency/source/{sourceId}/webhook-integration:
    get:
      tags:
        - Source
      summary: Get the webhook integration configuration for a source
      description: |-
        Returns the setup wizard configuration. The external API key itself is
        never returned, only whether one is saved.
      parameters:
        - name: sourceId
          in: path
          description: The source ID.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/WebhookIntegrationDto'
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookIntegrationDto'
            text/json:
              schema:
                $ref: '#/components/schemas/WebhookIntegrationDto'
components:
  schemas:
    WebhookIntegrationDto:
      type: object
      properties:
        configured:
          type: boolean
        requireAccessToken:
          type: boolean
        inbound:
          $ref: '#/components/schemas/WebhookInboundMappingDto'
        filterKey:
          $ref: '#/components/schemas/WebhookFilterKeyDto'
        outboundMode:
          type: string
          nullable: true
        sendMessageTemplate:
          $ref: '#/components/schemas/WebhookOutboundTemplateDto'
        setFieldTemplate:
          $ref: '#/components/schemas/WebhookOutboundTemplateDto'
        getContactTemplate:
          $ref: '#/components/schemas/WebhookOutboundTemplateDto'
        contactFieldResponsePaths:
          type: object
          additionalProperties:
            type: string
          nullable: true
        webhookCallbackUri:
          type: string
          nullable: true
        hasExternalApiKey:
          type: boolean
        listenUntil:
          type: string
          format: date-time
          nullable: true
        contactFieldDescriptors:
          type: array
          items:
            type: string
          nullable: true
        lastTestResults:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/TestWebhookOutboundResult'
          nullable: true
        selectedSampleEventId:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    WebhookInboundMappingDto:
      type: object
      properties:
        contactIdPath:
          type: string
          nullable: true
        bodyPath:
          type: string
          nullable: true
        attachmentsPath:
          type: string
          nullable: true
        statePath:
          type: string
          nullable: true
        contactFieldPaths:
          type: object
          additionalProperties:
            type: string
          nullable: true
      additionalProperties: false
    WebhookFilterKeyDto:
      type: object
      properties:
        path:
          type: string
          nullable: true
        expectedValue:
          type: string
          nullable: true
      additionalProperties: false
    WebhookOutboundTemplateDto:
      type: object
      properties:
        method:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        headers:
          type: array
          items:
            $ref: '#/components/schemas/WebhookTemplateHeaderDto'
          nullable: true
        bodyTemplate:
          type: string
          nullable: true
      additionalProperties: false
    TestWebhookOutboundResult:
      type: object
      properties:
        renderedMethod:
          type: string
          nullable: true
        renderedUrl:
          type: string
          nullable: true
        renderedHeaders:
          type: array
          items:
            $ref: '#/components/schemas/WebhookTemplateHeaderDto'
          nullable: true
        renderedBody:
          type: string
          nullable: true
        warnings:
          type: array
          items:
            type: string
          nullable: true
        success:
          type: boolean
        statusCode:
          type: integer
          format: int32
          nullable: true
        responseBody:
          type: string
          nullable: true
        error:
          type: string
          nullable: true
      additionalProperties: false
    WebhookTemplateHeaderDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````